import { ValidationError, Warning } from "userscript-metadata";
export declare const envVarError: (e: Readonly<{
    fullName: string;
    expected: string | readonly string[];
    found: string;
}>) => string;
export declare const buildConfigError: (e: Readonly<{
    name: "mode" | "nightly" | "hostedAt" | "verbose" | "allowJs" | "appendDateToVersion" | "id" | "mainFile" | "now" | "outDir" | "rootDir" | "sassVariableGetter" | "sassVariables" | "sourceDir";
    expected: string;
    found: string | boolean | object | Date | {
        development: boolean;
        nightly: boolean;
        production: boolean;
    } | null;
}>) => string;
export declare const oneOf: (xs: readonly string[]) => string;
export declare const metadataWarning: import("@typed/compose").Arity1<Warning, string>;
export declare const metadataError: import("@typed/compose").Arity1<ValidationError, string>;
export declare const quote: (s: string) => string;
export declare const compilationAssetNotFound: (assetName: string) => string;
